﻿using System;
using System.Collections.Generic;
using System.Data.Linq;
using System.Data.Linq.Mapping;
using System.Text;

using HeuristicLab.DataAnalysis;

namespace HeuristicLab.Modeling.Database.SQLServerCompact {
  [Table(Name = "Problem")]
  public class Problem {
    public Problem() {
    }

    public Problem(Dataset dataset)
      : this() {
      this.dataset = dataset;
    }

    private int id;
    [Column(Storage = "id", IsPrimaryKey = true, IsDbGenerated = true)]
    public int Id {
      get { return this.id; }
      private set { this.id = value; }
    }

    private Dataset dataset;
    [Column(Storage = "dataset", DbType = "image", CanBeNull = false)]
    public Dataset Dataset {
      get { return this.dataset; }
      private set { this.dataset = value; }
    }
  }
}
